Create an SDK key
PUT
https://api.vercel.com/v1/projects/{projectIdOrName}/feature-flags/sdk-keysCreates an SDK key.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.featureFlags.createSDKKey({ projectIdOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "createdAt": "123", "createdBy": "string", "deletedAt": "123", "environment": "string", "hashKey": "string", "label": "string", "partialKeyValue": "string", "projectId": "example_id", "type": "client", "updatedAt": "123", "keyValue": "string", "tokenValue": "string"}AuthorizationbearerToken
Default authentication mechanism
200Success
Partially-masked representation of the SDK key value, safe to display in UIs. The value is the
vf_<type>_ prefix followed by the first 3 characters of the secret portion and a fixed 8-character * mask (e.g. vf_server_abc********).400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error